Home
Home
  1. πŸ“‘ Endpoints
  • πŸš€ Getting Started
  • πŸ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • πŸ“‘ Endpoints
      • Blockchain Analysis
      • Individuals Analysis
      • Organizations Analysis
      • Screening Entities Summary Analysis
      • Create BlackList
      • Get All BlackList Records
      • Get Blacklist Record by ID
      • Delete Blacklist Record by ID
      • Update Blacklist Record by ID
      • Update Blacklist Settings Account
  • 🌊 Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • πŸ“‘ Endpoints
      • Authentication token
      • Get Flow Instances
      • Get Flow Instance By Id
      • Get File from Flow Instance
      • Identity: Get Details
      • Identity: Get Files
      • Identity: Update Status
      • Onboarding: Get Details
      • Onboarding: Get File
      • Onboarding: Get Multiple Files
      • Onboarding: Update Status
      • Onboarding: Get Entity by document number
      • Onboarding: Get Entity List by document number
    • πŸ“€ Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • πŸ’ΈTransaction Screening API
    • πŸ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • πŸ“€ Webhooks
    • πŸ“‘ Endpoints
      • Submit Transaction
        POST
      • List Transactions
        GET
      • List Document types
        GET
      • List Cryptocurrencies
        GET
      • Register remitter
        POST
      • Register Beneficiary
        POST
  • πŸ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. πŸ“‘ Endpoints

List Transactions

GET
https://app.rillis.io/api/v1/verification/get
This endpoint retrieves the current status of transactions. Provide a client_transaction_id to query a specific transaction, or leave it out to return the latest 10 transactions by default. Pagination is supported using the limit and page parameters.

Request

Query Params

Responses

🟒201Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://app.rillis.io/api/v1/verification/get?client_id=&client_secret=&limit=100&page=1&external_transaction_id=EXTERNAL_TRANSACTION_ID&status=COMPLETED&start_timestamp=1770772392&end_timestamp=1770858792'
Response Response Example
{
    "items": [
        {
            "external_transaction_id": "your_external_transaction_id",
            "analyzed_at": 1770234049519,
            "request_at": 1770234048255,
            "transaction": {
                "transaction_type": "CRYPTO",
                "sending_dollar_amount": 100,
                "reasons_rejection_analysis": "Se rechazo el beneficiario por coincidencia en BlackList.",
                "reasons_rejection_operator": null,
                "rejected_at": 1770234049519,
                "analyzed_at": 1770234049519,
                "state": "EVALUATION",
                "notification": {
                    "webhook": "https://webhook.site/863cfb52-df2b-4b8d-b7cb-93ae4e8ba18f",
                    "sent_at": 1770234050418,
                    "successful": true,
                    "error": null
                },
                "registered_in": 1770821987916,
                "id": "6983a0c061f1341eb94bd193",
                "crypto_asset": null,
                "sending_amount": 3424342,
                "sending_currency": "CLP",
                "crypto_network": null,
                "receving_amount": null,
                "receiving_currency": null,
                "receiving_wallet": "0x1d7e175a1fc32519d2d5591d69d996b60be21d3a"
            }
        },
        {
            "external_transaction_id": "your_external_transaction_id_two",
            "analyzed_at": 1770066522549,
            "request_at": 1770066521327,
            "transaction": {
                "transaction_type": "CRYPTO",
                "sending_dollar_amount": 600,
                "reasons_rejection_analysis": "Se rechazo el beneficiario por coincidencia en BlackList.",
                "reasons_rejection_operator": null,
                "rejected_at": 1770066522549,
                "analyzed_at": 1770066522549,
                "state": "EVALUATION",
                "notification": {
                    "webhook": "https://webhook.site/863cfb52-df2b-4b8d-b7cb-93ae4e8ba18f",
                    "sent_at": 1770066523436,
                    "successful": true,
                    "error": null
                },
                "registered_in": 1770821987916,
                "id": "6981125961f1341eb94bcaae",
                "crypto_asset": null,
                "sending_amount": 3424342,
                "sending_currency": "CLP",
                "crypto_network": null,
                "receving_amount": null,
                "receiving_currency": null,
                "receiving_wallet": "0x1d7e175a1fc32519d2d5591d69d996b60be21d3a"
            }
        }
    ],
    "totalItems": 159,
    "page": 1,
    "totalPages": 16
}
Modified atΒ 2026-02-27 16:27:54
Previous
Submit Transaction
Next
List Document types
Built with